{% import 'AppBundle:Macros:macros.html.twig' as this %}


{#{% if showHelp %}#}
    {#{% include 'AppBundle:Monetic:Payment:help.html.twig' %}#}
{#{% endif %}#}
<table id="candidates" class="table">
    <tr>
        <th>Date</th>
        <th>Prénom</th>
        <th>Nom</th>
        <th>Type</th>
        <th>Dernière opération</th>
        <th>Statut</th>
        <th></th>
    </tr>
    {% for candidate in candidates %}
        <tr>
            <td>
                {{ candidate.contactDate|date('d/m/Y H:i') }}
            </td>
            <td>
                {{ candidate.firstName }}
            </td>
            <td>
                {{ candidate.name }}
            </td>
            <td>
                {{ candidate.type }}
            </td>
            <td>
                {% set break = false %}
                {% for op in candidate.operations if not break %}
                    <span class="label label-gray">{{ op }}</span>
                {% set break = true %}
                    {% else %}
                    -
                {% endfor %}
            </td>
            <td>
                {% include 'AppBundle:User/Candidate:status.html.twig' %}
            </td>
            <td>
                {% if is_granted('DELETE_CANDIDATE', candidate) %}
                    <span class="pull-right  shortButton">
                        <a href="{{ path('candidate_delete', { 'id': candidate.id }) }}"
                           data-confirm="Confirmer la suppression de la candidature {{ candidate }} ?"
                           data-remote="true"
                           data-method="delete"
                           class="btn btn-primary  btn-sm">
                            <i class="fa fa-trash-o"></i>
                        </a>
                    </span>
                {% endif %}
                {% if is_granted('ADD_CANDIDATE', app.user) %}
                    <a href="#" actionUrl="{{ path('operation_add', {'id': candidate.id}) }}"
                       class="modal-form  pull-right btn btn-primary btn-sm"><i class="fa fa-plus"></i> Opération</a>
                {% endif %}
                {% if is_granted('EDIT_CANDIDATE', candidate) %}
                    <span class="pull-right  shortButton">
                        <a href="#"
                           actionUrl="{{ path('candidate_edit', { 'id': candidate.id }) }}"
                           class="modal-form btn btn-primary btn-sm">
                            <i class="fa fa-edit"></i> Modifier
                        </a>
                    </span>
                {% endif %}
                {% if is_granted('VIEW_CANDIDATE', candidate) %}
                <span class="pull-right shortButton">
                        <a href="{{ path('candidate_view', { 'id': candidate.id }) }}"
                           title="{{ candidate }}"
                           class="btn btn-primary btn-sm">
                            <i class="fa fa-eye"></i> Voir
                        </a>
                    </span>
                {% endif %}
            </td>
        </tr>
    {% else %}
        <tr>
            <td class="col-sm-12"> Aucune candidature</td>
        </tr>
    {% endfor %}
</table>

{% if candidates is defined and candidates.nbResults is defined %}
    <div class="row text-center">
        <div class="pagerfanta">
            {{ pagerfanta(candidates, 'twitter_bootstrap3_translated', {'pageParameter':'[candidatePage]'}) }}
        </div>
    </div>
{% endif %}

